## dvbcut 0.5.4%2Bsvn178

=== ffmpeg.src/libavformat/Makefile ===
#
# libavformat Makefile
# (c) 2000-2003 Fabrice Bellard
#
include ../config.mak

VPATH=$(SRC_PATH)/libavformat

CFLAGS=$(OPTFLAGS) -I.. -I$(SRC_PATH) -I$(SRC_PATH)/libavutil -I$(SRC_PATH)/libavcodec -DHAVE_AV_CONFIG_H -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE

OBJS= utils.o cutils.o os_support.o allformats.o
PPOBJS=

# mux and demuxes
OBJS+=mpeg.o mpegts.o mpegtsenc.o 

# file I/O
OBJS+= avio.o aviobuf.o file.o 

EXTRALIBS += -L../libavutil -lavutil$(BUILDSUF)

ifeq ($(TARGET_ARCH_SPARC64),yes)
CFLAGS+= -mcpu=ultrasparc -mtune=ultrasparc
endif

LIB= $(LIBPREF)avformat$(LIBSUF)
ifeq ($(BUILD_SHARED),yes)
SLIB= $(SLIBPREF)avformat$(SLIBSUF)

AVCLIBS+=-lavcodec$(BUILDSUF) -L../libavcodec
ifeq ($(CONFIG_MP3LAME),yes)
AVCLIBS+=-lmp3lame
endif
endif

SRCS := $(OBJS:.o=.c) $(PPOBJS:.o=.cpp)

all: $(LIB) $(SLIB)

$(LIB): $(OBJS) $(PPOBJS)
	rm -f $@
	$(AR) rc $@ $(OBJS) $(PPOBJS)
	$(RANLIB) $@

$(SLIB): $(OBJS)
ifeq ($(CONFIG_WIN32),yes)
	$(CC) $(SHFLAGS) -Wl,--output-def,$(@:.dll=.def) -o $@ $(OBJS) $(PPOBJS) $(AVCLIBS) $(EXTRALIBS)
	-lib /machine:i386 /def:$(@:.dll=.def)
else
	$(CC) $(SHFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(PPOBJS) $(AVCLIBS) $(EXTRALIBS)
endif

depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

ifeq ($(BUILD_SHARED),yes)
install: all install-headers
ifeq ($(CONFIG_WIN32),yes)
	install $(INSTALLSTRIP) -m 755 $(SLIB) "$(prefix)"
else
	install -d $(libdir)
	install $(INSTALLSTRIP) -m 755 $(SLIB) $(libdir)/libavformat-$(VERSION).so
	ln -sf libavformat-$(VERSION).so $(libdir)/libavformat.so
	$(LDCONFIG) || true
endif
else
install:
endif

installlib: all install-headers
	install -m 644 $(LIB) "$(libdir)"

install-headers:
	mkdir -p "$(prefix)/include/ffmpeg"
	install -m 644 $(SRC_PATH)/libavformat/avformat.h $(SRC_PATH)/libavformat/avio.h \
                "$(prefix)/include/ffmpeg"
#                $(SRC_PATH)/libavformat/rtp.h $(SRC_PATH)/libavformat/rtsp.h 
#                $(SRC_PATH)/libavformat/rtspcodes.h 
	install -d $(libdir)/pkgconfig
	install -m 644 ../libavformat.pc $(libdir)/pkgconfig

%.o: %.c
	$(CC) $(CFLAGS) $(LIBOBJFLAGS) -c -o $@ $< 

# BeOS: remove -Wall to get rid of all the "multibyte constant" warnings
%.o: %.cpp
	g++ $(subst -Wall,,$(CFLAGS)) -c -o $@ $< 

distclean clean: 
	rm -f *.o *.d .depend *~ *.a *.so $(LIB)

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
dvbcut (0.5.4+svn178-4build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 19:11:46 +0000

dvbcut (0.5.4+svn178-4) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Build-Depends: requires debhelper >= 8.1 for build-{arch,indep} support.
    - Vcs-*: use anonscm.debian.org.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 04 Sep 2013 16:38:27 +0200

dvbcut (0.5.4+svn178-3) experimental; urgency=low

  [ Alessio Treglia ]
  * compile against libav 9

  [ Reinhard Tartler ]
  * add patch from rpmfusion to allow compilation against libav9
  * add missing config.sub and config.guess files

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 Mar 2013 20:12:53 +0100

dvbcut (0.5.4+svn178-2) unstable; urgency=low

  * Team upload.

  [ Fabrice Coutadeur ]
  * Adapt package to use debhelper tiny form:
    + debian/rules:
      - use debhelper tiny form
      - Adapt dh_auto_configure target for automake build system
      - Delete generated files in override_dh_auto_clean to be able to build
        dvbcut locally twice
    + debian/dvbcut.menu: rename menu file to dvbcut.menu to makes it
      automatically installable by debhelper
    + debian/dvbcut.install: rename install file to dvbcut.install as stated in
      the debhelper manpage and Manually installs files to avoid the local
      update of the mime database
  * Change back build system to autotools so that qt4 patch can be adopted
    upstream (Closes: #656793).
    + debian/control:
      - Drop scons build dependency. It's not used anymore.
      - Drop cmake dependency
      - Added b-d on autoconf to generate configure script
      - Added b-d on pkg-config, used to get qt4 libs and includes
    + port-to-qt4.patch:
      - Drop cmake files from qt4 patch
      - Update configure and src/Makefile.in for qt4
    + This allows the automatic installation of desktop file and icon 
      (Closes: #660009)
  * Refresh fix-ftbfs-libav0.7 patch to use -pab as quilt arg. This makes futur
    refreshes lighter.
  * Rename docs to dvbcut.docs and manpages to dvbcut.manpages to follow
    debhelper recommendations. thanks bojo42 for the tip.
  * fix_gcc_4.7.patch: fix FTBFS with gcc 4.7 because of missing include.
    (Closes: #667154)

  [ Alessio Treglia ]
  * Add patch to fix "Unable to open stream" error. (LP: #875030)
  * Update debian/copyright to copyright format 1.0.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 Apr 2012 12:54:45 +0200

dvbcut (0.5.4+svn178-1) unstable; urgency=low

  [ Fabrice Coutadeur ]
  * Imported Upstream version 0.5.4+svn178.
    - Drop fix-ftbfs-gcc4.6 patch as it has been integrated upstream
    - Refresh port-to-qt4 patch
  * Update port-to-qt4 patch to make dvbcut usable in wheeezy (Closes: #641992,
    LP: #896811). Thanks Jindrich Makovicka for the patch!
  * port-to-qt4.patch: updated to get rid of file: prefix in the index filename
  * debian/rules: updated to add build-indep and build-arch recommended targets.
    This fixes a lintian warning.

  [ Reinhard Tartler ]
  * remove traces of the included source copy of ffmpeg
  * make buildlogs more verbose
  * Use distro-wide provided standard compiler flags

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Jan 2012 08:45:41 +0100

dvbcut (0.5.4+svn170-2) unstable; urgency=low

  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 02 Sep 2011 11:22:19 +0200

dvbcut (0.5.4+svn170-1) experimental; urgency=low

  * New upstream version
  * Drop patches that are already applied in this upstream version
  * Apply patch from upstream to support qt4
  * Build against qt4
  * Add patch to build against Libav 0.7, Closes: #632415
    Thanks to Fabrice Coutadeur <fabricesp@ubuntu.com>
  * Tighten build dependencies to build against Libav 0.7

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 Jul 2011 10:59:23 +0200

dvbcut (0.5.4+svn146-2) unstable; urgency=low

  * Team upload.
  * Add patch to fix build failure with GCC4.5 (Closes: #622079).
  * Take patch from upstream's SVN trunk to prevent build failures
    with GCC4.6.
  * Add gbp config file.
  * debian/control:
    - Correct team's name.
    - Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 May 2011 14:26:49 +0200

dvbcut (0.5.4+svn146-1) unstable; urgency=low

  * Package dvbcut for debian. Closes: #457272
  * Add homepage field
  * Add watch file
  * Bump standards version, no changes needed
  * Bump debhelper compat level to 7
  * Add libswscale-dev to build depends
  * Use Source Format 3.0 (quilt)
  * Fix FTBFS with gcc-4.4
  * update config.sub and config.guess

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 23 Feb 2011 11:53:19 +0100

dvbcut (0.5.4+r146-0ubuntu1~ppa) intrepid; urgency=low

  * First ubuntu version (SVN - revision 146)

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Tue, 13 Jan 2009 22:13:06 +0100

dvbcut (0.5.4) unstable; urgency=low

  * New upstream version.

 -- Sven Over <svenover@svenover.de>  Fri, 13 Apr 2007 19:43:07 +0100

dvbcut (0.5.3) unstable; urgency=low

  * New upstream version.

 -- Sven Over <svenover@svenover.de>  Fri, 16 Dec 2005 20:15:12 +0100

dvbcut (0.5.2) unstable; urgency=low

  * New upstream version.
  * Downgraded libao-dev build-dependency to work on sarge.

 -- Sven Over <svenover@svenover.de>  Sun, 11 Dec 2005 13:00:12 +0100

dvbcut (0.5.1) unstable; urgency=low

  * Initial Release.

 -- Sven Over <svenover@svenover.de>  Sun, 27 Nov 2005 17:26:15 +0100

## dvbcut 0.5.4+svn146

=== Makefile ===
export DESTDIR

build:
	scons $(if $(FFMPEG),FFMPEG=$(FFMPEG)) \
		$(if $(DEBUG),DEBUG=$(DEBUG))

clean:
	scons --clean
	
install:
	scons $(if $(FFMPEG),FFMPEG=$(FFMPEG)) \
		$(if $(PREFIX),PREFIX=$(PREFIX)) \
		$(if $(BINDIR),BINDIR=$(BINDIR)) \
		$(if $(MANPATH),MANPATH=$(MANPATH)) \
		$(if $(DEBUG),DEBUG=$(DEBUG)) \
		install

distclean: clean
	@rm -Rfv *~ */*~ .sconsign* */.sconsign* .sconf_temp config.log ffmpeg tags
ifeq ($(wildcard ffmpeg.src/),ffmpeg.src/)
	@touch ffmpeg.src/config.mak
	@make -C ffmpeg.src/libavformat distclean
	@make -C ffmpeg.src/libavutil distclean
	@make -C ffmpeg.src/ distclean
	@rm -Rfv ffmpeg.src/config.log ffmpeg.src/*.pc ffmpeg.src/*/*.a \
		latex html xml dvbcut.tag
endif

=== SConstruct ===
import os
import sys

SConsignFile('.sconsign')

###### COMMAND LINE OPTIONS

opts=Options()

opt=opts.Add(PathOption('PREFIX', 'Directory to install under', '/usr/local'))
opt=opts.Add(PathOption('BINDIR', 'Directory to install under', os.path.join('$PREFIX','bin')))
opt=opts.Add(PathOption('MANPATH', 'Directory to install under', os.path.join('$PREFIX','share/man')))

### DEBUG MODE

opt=opts.Add('DEBUG','debug level',0)

### QT

defaultqtdir=None
if ("QTDIR" in os.environ):
  defaultqtdir=os.environ["QTDIR"]
else:
  for d in ("/usr/share/qt3","/usr/local/share/qt3","/usr/local/qt3","/usr/share/qt"):
    if (os.path.isdir(d)):
      defaultqtdir=d
      break
opts.Add(PathOption('QTDIR','Path to Qt installation',defaultqtdir))

opts.Add('QT_LIB',"Qt library name (qt, qt-mt)","qt-mt")

### FFMPEG

opts.Add('FFMPEG',"""Prefix path to the FFMPEG libraries.
        If set to '/usr', include files have to be in '/usr/include'
        and static libraries in '/usr/lib'. If unset, FFMPEG will be
	compiled locally.""",None)

###### BUILD ENVIRONMENT

env=Environment(options=opts, ENV=os.environ)
debug=int(env['DEBUG'])

if (debug>0):
  env.Append(CCFLAGS=['-g3','-Wall'])
  env.Append(LINKFLAGS=['-g3'])
else:
  env.Append(CCFLAGS=['-O3','-Wall'])

env.Replace(CXXFILESUFFIX=".cpp")

env.Append(CPPDEFINES=[("_FILE_OFFSET_BITS", "64"), "_LARGEFILE_SOURCE"])
env.Append(CPPDEFINES=["__STDC_CONSTANT_MACROS", "__STDC_LIMIT_MACROS"])

for v in ("CXX","LINK"):
  if (v in os.environ):
    env.Replace(**{v: os.environ[v]})
    
###### CONTEXT CHECKS

conf=Configure(env)

### libintl.h

if (not env.GetOption('clean')):
  if (conf.CheckCHeader('libintl.h', '<>')):
    conf.env.Append(CPPDEFINES="HAVE_LIBINTL_H")

### LIBINTL

if (not env.GetOption('clean')):
  conf.CheckLib('intl', 'gettext', 'libintl.h', 'C++')

### LIBAO

if (not env.GetOption('clean')):
  if (conf.TryAction('pkg-config --exists ao')[0]):
    conf.env.Append(CPPDEFINES="HAVE_LIB_AO")
    conf.env.ParseConfig('pkg-config --cflags --libs ao')
    print "Checking for C library ao... yes"
  elif (conf.CheckLibWithHeader('ao', 'ao/ao.h', 'C')):
    conf.env.Append(CPPDEFINES="HAVE_LIB_AO")

### LIBMAD

if (not env.GetOption('clean')):
  if (conf.TryAction('pkg-config --exists mad')[0]):
    conf.env.Append(CPPDEFINES="HAVE_LIB_MAD")
    conf.env.ParseConfig('pkg-config --cflags --libs mad')
    print "Checking for C library mad... yes"
  elif (conf.CheckLibWithHeader('mad', 'mad.h', 'C')):
    conf.env.Append(CPPDEFINES="HAVE_LIB_MAD")

### LIBA52

if (not env.GetOption('clean')):
  if (conf.TryAction('pkg-config --exists a52')[0]):
    conf.env.Append(CPPDEFINES="HAVE_LIB_A52")
    conf.env.ParseConfig('pkg-config --cflags --libs a52')
    print "Checking for C library a52... yes"
  elif (conf.CheckLibWithHeader('a52', ['stdint.h','a52dec/a52.h'], 'C')):
    conf.env.Append(CPPDEFINES="HAVE_LIB_A52")

###### BUILD ENVIRONMENT (pt2)

### QT

qtlib=env["QT_LIB"]
env.Tool("qt")
env.Replace(QT_LIB=qtlib)

if (debug<=0):
  env.Append(CPPDEFINES="QT_NO_DEBUG")

### FFMPEG

if (env.GetOption('clean') or not ((env.has_key("FFMPEG")) and (env["FFMPEG"]!=None))):
  localffmpeg=True
  ffmpegpath=Dir("ffmpeg").abspath
else:
  localffmpeg=False
  ffmpegpath=env["FFMPEG"].rstrip(os.sep)

if (localffmpeg or os.path.isdir(os.path.join(str(ffmpegpath),'include','ffmpeg'))):
  env.Append(CPPPATH=os.path.join(str(ffmpegpath),'include','ffmpeg'))
else:
  env.Append(CPPPATH=os.path.join(str(ffmpegpath),'include','libavcodec'))
  env.Append(CPPPATH=os.path.join(str(ffmpegpath),'include','libavformat'))
  env.Append(CPPPATH=os.path.join(str(ffmpegpath),'include','libswscale'))
  env.Append(CPPPATH=os.path.join(str(ffmpegpath),'include'))

if (ffmpegpath!='/usr'): 
  env.Append(LIBPATH=os.path.join(str(ffmpegpath),'lib'))
env.Append(LIBS=['avformat','avcodec','avutil'])

### LIBSWSCALE

if (not env.GetOption('clean') and not localffmpeg):
  if (conf.TryAction('pkg-config --exists libswscale')[0]):
    conf.env.Append(CPPDEFINES="HAVE_LIB_SWSCALE")
    conf.env.ParseConfig('pkg-config --cflags --libs libswscale')
    print "Checking for C library swscale... yes"
  elif (conf.CheckLibWithHeader('swscale', 'swscale.h', 'C')):
    conf.env.Append(CPPDEFINES="HAVE_LIB_SWSCALE")
  
### FINISH
    
env=conf.Finish()
  
###### WORK

env.bin_targets=[]
if (localffmpeg):
  dtsenabled=False
  SConscript('SConscript.ffmpeg','debug dtsenabled')
SConscript(os.path.join('src','SConscript'),'env debug')

###### INSTALL TARGET

destdir=""
if ("DESTDIR" in os.environ):
  destdir=os.environ["DESTDIR"]

env.Install(destdir+env["BINDIR"],env.bin_targets)
env.Install(destdir+os.path.join(env["MANPATH"],"man1"),File("dvbcut.1"))
env.Alias("install",[destdir+env["BINDIR"],destdir+env["MANPATH"]] )

###### HELP TEXT

Help(opts.GenerateHelpText(env))

=== debian/changelog ===
dvbcut (0.5.4+svn146-0ubuntu1) natty; urgency=low

  * Package dvbcut, Closes: #457272, LP: #133033
  * Add homepage field
  * Add watch file
  * Bump standards version, no changes needed
  * Bump debhelper compat level to 7
  * Add libswscale-dev to build depends
  * Use Source Format 3.0 (quilt)
  * Fix FTBFS with gcc-4.4
  * update config.sub and config.guess

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 23 Feb 2011 11:53:19 +0100

=== debian/control ===
Source: dvbcut
Section: graphics
Priority: optional
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Build-Depends: autotools-dev,
 debhelper (>= 7),
 liba52-0.7.4-dev,
 libao-dev,
 libavcodec-dev,
 libavformat-dev,
 libmad0-dev,
 libpostproc-dev,
 libqt3-mt-dev,
 libswscale-dev,
 qt3-dev-tools,
 scons
Vcs-Git: git://git.debian.org/git/pkg-multimedia/dvbcut.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/dvbcut.git;a=summary
Homepage: http://dvbcut.sourceforge.net/
Standards-Version: 3.9.1

Package: dvbcut
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: mplayer
Description: Qt application for cutting parts out of DVB streams
 DVBCUT is a Qt application that allows you to select certain parts of an
 MPEG transport stream (as received via Digital Video Broadcasting, DVB) and
 save these parts into a single MPEG output file. It follows a `keyhole
 surgery'' approach where the input video and audio data is mostly kept
 unchanged, and only very few frames at the beginning and/or end of the
 selected range are re-encoded in order to obtain a valid MPEG file.

=== debian/rules ===
#!/usr/bin/make -f

DEB_SOURCE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
DEB_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -r ' s/\+[^+]+$$//')
SVN_VERSION := $(shell echo $(DEB_VERSION) | sed -r 's/^[0-9.:-]+\+r//; s/-[^-]+$$//' )
SVN_URL := http://dvbcut.svn.sourceforge.net/svnroot/dvbcut/trunk
ORIG_TAR_GZ := ../$(DEB_SOURCE)_$(UPSTREAM_VERSION)+svn$(SVN_VERSION).orig.tar.gz

build: build-stamp
build-stamp:
	dh_testdir
	cp -v /usr/share/misc/config.sub .
	cp -v /usr/share/misc/config.guess .
	$(MAKE) FFMPEG=/usr
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean FFMPEG=/usr
	dh_clean build-stamp config.sub config.guess

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install PREFIX=/usr \
		FFMPEG=/usr \
		MANPATH=/usr/share/man \
		DESTDIR=$(CURDIR)/debian/dvbcut

get-orig-source:
	TMPDIR=`mktemp -d` && \
	trap 'rm -rf $${TMPDIR}' EXIT && \
	svn export -r$(SVN_VERSION) $(SVN_URL) $${TMPDIR}/dvbcut && \
	rm -rf $${TMPDIR}/dvbcut/ffmpeg.src && \
	rm -rf $${TMPDIR}/dvbcut/ffmpeg-patches && \
	rm -rf $${TMPDIR}/dvbcut/debian && \
	tar czvf $(ORIG_TAR_GZ) -C $${TMPDIR} dvbcut

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install get-orig-source

## dvbcut 0.5.4+svn170

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: dvbcut
 Section: graphics
 Priority: optional
-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: autotools-dev,
+ cmake,
  debhelper (>= 7),
  liba52-0.7.4-dev,
  libao-dev,
- libavcodec-dev,
- libavformat-dev,
+ libavcodec-dev (>> 4:0.7~),
+ libavformat-dev (>> 4:0.7~),
+ libavutil-dev (>> 4:0.7~),
  libmad0-dev,
- libpostproc-dev,
- libqt3-mt-dev,
- libswscale-dev,
- qt3-dev-tools,
+ libpostproc-dev (>> 4:0.7~),
+ libqt4-dev,
+ libswscale-dev (>> 4:0.7~),
+ qt4-dev-tools,
  scons
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/dvbcut.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/dvbcut.git;a=summary
 Homepage: http://dvbcut.sourceforge.net/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: dvbcut
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,27 +10,24 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	cp -v /usr/share/misc/config.sub .
-	cp -v /usr/share/misc/config.guess .
-	$(MAKE) FFMPEG=/usr
+	mkdir -p build
+	cd build && cmake -DCMAKE_COLOR_MAKEFILE=OFF -DCMAKE_INSTALL_PREFIX="/usr" ..
+	$(MAKE) -C build
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	[ ! -f Makefile ] || $(MAKE) distclean FFMPEG=/usr
-	dh_clean build-stamp config.sub config.guess
+	rm -rf build
+	dh_clean build-stamp
 
 install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
-
-	$(MAKE) install PREFIX=/usr \
-		FFMPEG=/usr \
-		MANPATH=/usr/share/man \
-		DESTDIR=$(CURDIR)/debian/dvbcut
+	dh_install build/src/dvbcut usr/bin
+	dh_installman dvbcut.1
 
 get-orig-source:
 	TMPDIR=`mktemp -d` && \

## dvbcut 0.5.4+svn178

=== Makefile ===
# Makefile - top-level Makefile stub
# Copyright (c) 2009 Michael Riepe
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

default:
	@echo >&2 '*** Attention, please! ***'
	@echo >&2 'The old scons-based build procedure does not work anymore.'
	@echo >&2 'Please run "./configure && make && make install" instead.'
	@echo >&2 '*** We apologize for any inconvenience. ***'

=== ffmpeg.src/Makefile ===
#
# Main ffmpeg Makefile
# (c) 2000-2004 Fabrice Bellard
#
include config.mak

VPATH=$(SRC_PATH)

CFLAGS=$(OPTFLAGS) -I. -I$(SRC_PATH) -I$(SRC_PATH)/libavutil -I$(SRC_PATH)/libavcodec -I$(SRC_PATH)/libavformat -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE

ifeq ($(DVBCUT_NO_DEBUG),)
LDFLAGS+= -g
endif

ifeq ($(TARGET_GPROF),yes)
CFLAGS+=-p
LDFLAGS+=-p
endif

MANPAGE=doc/ffmpeg.1
PROG=ffmpeg$(EXESUF)
PROGTEST=output_example$(EXESUF)
QTFASTSTART=qt-faststart$(EXESUF)

ifeq ($(CONFIG_FFSERVER),yes)
MANPAGE+=doc/ffserver.1
PROG+=ffserver$(EXESUF)
endif

ifeq ($(CONFIG_FFPLAY),yes)
MANPAGE+=doc/ffplay.1
PROG+=ffplay$(EXESUF)
FFPLAY_O=ffplay.o
endif

ifeq ($(CONFIG_AUDIO_BEOS),yes)
EXTRALIBS+=-lmedia -lbe
endif

ifeq ($(BUILD_SHARED),yes)
DEP_LIBS=libavcodec/$(SLIBPREF)avcodec$(SLIBSUF) libavformat/$(SLIBPREF)avformat$(SLIBSUF)
else
DEP_LIBS=libavcodec/$(LIBPREF)avcodec$(LIBSUF) libavformat/$(LIBPREF)avformat$(LIBSUF)
ifeq ($(CONFIG_MP3LAME),yes)
EXTRALIBS+=-lmp3lame
endif
endif

ifeq ($(CONFIG_LIBOGG),yes)
ifeq ($(CONFIG_LIBVORBIS),yes)
EXTRALIBS+= -lvorbisenc -lvorbis
endif
ifeq ($(CONFIG_LIBTHEORA),yes)
EXTRALIBS+= -ltheora
endif
EXTRALIBS+= -logg
endif

ifeq ($(CONFIG_FAAD),yes)
ifeq ($(CONFIG_FAADBIN),yes)
# no libs needed
else
EXTRALIBS += -lfaad
endif
endif

ifeq ($(CONFIG_FAAC),yes)
EXTRALIBS+=-lfaac
endif

ifeq ($(CONFIG_XVID),yes)
EXTRALIBS+=-lxvidcore
endif

ifeq ($(CONFIG_LIBGSM),yes)
EXTRALIBS+=-lgsm
endif

ifeq ($(CONFIG_DC1394),yes)
EXTRALIBS+=-ldc1394_control -lraw1394
endif

ifeq ($(BUILD_VHOOK),yes)
VHOOK=videohook
INSTALLVHOOK=install-vhook
CLEANVHOOK=clean-vhook
endif

ifeq ($(TARGET_OS), SunOS)
TEST=/usr/bin/test
else
TEST=test
endif

ifeq ($(BUILD_DOC),yes)
DOC=documentation
endif

OBJS = ffmpeg.o ffserver.o cmdutils.o $(FFPLAY_O)
SRCS = $(OBJS:.o=.c) $(ASM_OBJS:.o=.s)
FFLIBS = -L./libavformat -lavformat$(BUILDSUF) -L./libavcodec -lavcodec$(BUILDSUF) -L./libavutil -lavutil$(BUILDSUF)

all: lib $(PROG) $(PROGTEST) $(VHOOK) $(QTFASTSTART) $(DOC)

lib:
	$(MAKE) -C libavutil all
	$(MAKE) -C libavcodec all
	$(MAKE) -C libavformat all

ffmpeg_g$(EXESUF): ffmpeg.o cmdutils.o .libs
	$(CC) $(LDFLAGS) -o $@ ffmpeg.o cmdutils.o $(FFLIBS) $(EXTRALIBS)

ffmpeg$(EXESUF): ffmpeg_g$(EXESUF)
	cp -p $< $@
	$(STRIP) $@

ffserver$(EXESUF): ffserver.o .libs
	$(CC) $(LDFLAGS) $(FFSLDFLAGS) -o $@ ffserver.o $(FFLIBS) $(EXTRALIBS) 

ffplay_g$(EXESUF): ffplay.o cmdutils.o .libs
	$(CC) $(LDFLAGS) -o $@ ffplay.o cmdutils.o $(FFLIBS) $(EXTRALIBS) $(SDL_LIBS)

ffplay$(EXESUF): ffplay_g$(EXESUF)
	cp -p $< $@
	$(STRIP) $@

output_example$(EXESUF): output_example.o .libs
	$(CC) $(LDFLAGS) -o $@ output_example.o $(FFLIBS) $(EXTRALIBS)

qt-faststart$(EXESUF): qt-faststart.c
	$(CC) $(SRC_PATH)/qt-faststart.c -o qt-faststart$(EXESUF)

cws2fws$(EXESUF): cws2fws.c
	$(CC) $(SRC_PATH)/cws2fws.c -o cws2fws$(EXESUF) -lz

ffplay.o: ffplay.c
	$(CC) $(CFLAGS) $(SDL_CFLAGS) -c -o $@ $< 

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 

videohook: .libs
	$(MAKE) -C vhook all

documentation:
	$(MAKE) -C doc all

.PHONY: install

install: all install-man $(INSTALLVHOOK)
	$(MAKE) -C libavutil install
	$(MAKE) -C libavcodec install
	$(MAKE) -C libavformat install
	install -d "$(bindir)"
	install -c $(INSTALLSTRIP) -m 755 $(PROG) "$(bindir)"

# create the window installer
wininstaller: all install
	makensis ffinstall.nsi

# install man from source dir if available
install-man:
ifneq ($(CONFIG_WIN32),yes)
	if [ -f doc/ffmpeg.1 ] ; then \
	    install -d "$(mandir)/man1" ; \
	    install -m 644 $(MANPAGE) "$(mandir)/man1" ; \
	fi
endif

install-vhook:
	$(MAKE) -C vhook install

installlib:
	$(MAKE) -C libavutil installlib
	$(MAKE) -C libavcodec installlib
	$(MAKE) -C libavformat installlib

dep:	depend

depend: .depend
	$(MAKE) -C libavcodec depend
	$(MAKE) -C libavformat depend
ifeq ($(BUILD_VHOOK),yes)
	$(MAKE) -C vhook depend
endif

.depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $(SDL_CFLAGS) $^ 1>.depend

.libs: lib
	@test -f .libs || touch .libs
	@for i in $(DEP_LIBS) ; do if $(TEST) $$i -nt .libs ; then touch .libs; fi ; done

clean:
	$(MAKE) -C libavutil clean
	$(MAKE) -C libavcodec clean
	$(MAKE) -C libavformat clean
	rm -f *.o *.d *~ .libs .depend gmon.out TAGS ffmpeg_g$(EXESUF) \
	   ffplay_g$(EXESUF) $(PROG) $(PROGTEST) $(QTFASTSTART)

clean-vhook:
	$(MAKE) -C vhook clean

# Note well: config.log is NOT removed.
distclean: clean
	$(MAKE) -C libavcodec distclean
	rm -f config.mak config.h

TAGS:
	etags *.[ch] libavformat/*.[ch] libavcodec/*.[ch]

# regression tests

libavtest test mpeg4 mpeg test-server fulltest: ffmpeg$(EXESUF)
	$(MAKE) -C tests $@

# tar release (use 'make -k tar' on a checkouted tree)
FILE=ffmpeg-$(shell grep "\#define FFMPEG_VERSION " libavcodec/avcodec.h | \
                    cut -d "\"" -f 2 )

tar:
	rm -rf /tmp/$(FILE)
	cp -r . /tmp/$(FILE)
	( cd /tmp ; tar zcvf ~/$(FILE).tar.gz $(FILE) --exclude CVS )
	rm -rf /tmp/$(FILE)

.PHONY: lib

ifneq ($(wildcard .depend),)
include .depend
endif

=== ffmpeg.src/libavcodec/Makefile ===
#
# libavcodec Makefile
# (c) 2000-2005 Fabrice Bellard
#
include ../config.mak

VPATH=$(SRC_PATH)/libavcodec

# NOTE: -I.. is needed to include config.h
CFLAGS=$(OPTFLAGS) -DHAVE_AV_CONFIG_H -I.. -I$(SRC_PATH)/libavutil -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE $(AMR_CFLAGS)

OBJS= bitstream.o utils.o mem.o allcodecs.o \
      mpegvideo.o jrevdct.o jfdctfst.o jfdctint.o\
      mpegaudio.o ac3enc.o mjpeg.o resample.o resample2.o dsputil.o \
      motion_est.o imgconvert.o imgresample.o \
      mpeg12.o mpegaudiodec.o pcm.o simple_idct.o \
      ratecontrol.o adpcm.o eval.o error_resilience.o \
      fft.o mdct.o raw.o golomb.o cabac.o\
      dpcm.o adx.o faandct.o parser.o g726.o \
      vp3dsp.o h264idct.o rangecoder.o pnm.o h263.o msmpeg4.o h263dec.o \
      opt.o

# currently using liba52 for ac3 decoding
ifeq ($(CONFIG_AC3),yes)
OBJS+= a52dec.o

# using builtin liba52 or runtime linked liba52.so.0
ifneq ($(CONFIG_A52BIN),yes)
OBJS+= liba52/bit_allocate.o liba52/bitstream.o liba52/downmix.o \
	liba52/imdct.o  liba52/parse.o liba52/crc.o liba52/resample.o
endif
endif

EXTRALIBS += -L../libavutil -lavutil$(BUILDSUF)

# currently using libdts for dts decoding
ifeq ($(CONFIG_DTS),yes)
OBJS+= dtsdec.o
CFLAGS += $(DTS_INC)
EXTRALIBS += -ldts
endif

ifeq ($(TARGET_GPROF),yes)
CFLAGS+=-p
LDFLAGS+=-p
endif

# i386 mmx specific stuff
ifeq ($(TARGET_MMX),yes)
OBJS += i386/fdct_mmx.o i386/cputest.o \
	i386/dsputil_mmx.o i386/mpegvideo_mmx.o \
	i386/idct_mmx.o i386/motion_est_mmx.o \
	i386/simple_idct_mmx.o i386/fft_sse.o i386/vp3dsp_mmx.o \
	i386/vp3dsp_sse2.o
ifeq ($(CONFIG_GPL),yes)
OBJS += i386/idct_mmx_xvid.o
endif
ifdef TARGET_BUILTIN_VECTOR
i386/fft_sse.o: CFLAGS+= -msse
depend: CFLAGS+= -msse
endif
endif

# armv4l specific stuff
ifeq ($(TARGET_ARCH_ARMV4L),yes)
ASM_OBJS += armv4l/jrevdct_arm.o armv4l/simple_idct_arm.o armv4l/dsputil_arm_s.o
OBJS += armv4l/dsputil_arm.o armv4l/mpegvideo_arm.o
ifeq ($(TARGET_IWMMXT),yes)
OBJS += armv4l/dsputil_iwmmxt.o armv4l/mpegvideo_iwmmxt.o
endif
endif

# sun mediaLib specific stuff
# currently only works when libavcodec is used in mplayer
ifeq ($(HAVE_MLIB),yes)
OBJS += mlib/dsputil_mlib.o
CFLAGS += $(MLIB_INC)
endif

# Intel IPP specific stuff
# currently only works when libavcodec is used in mplayer
ifeq ($(HAVE_IPP),yes)
CFLAGS += $(IPP_INC)
endif

# alpha specific stuff
ifeq ($(TARGET_ARCH_ALPHA),yes)
OBJS += alpha/dsputil_alpha.o alpha/mpegvideo_alpha.o \
	alpha/simple_idct_alpha.o alpha/motion_est_alpha.o
ASM_OBJS += alpha/dsputil_alpha_asm.o alpha/motion_est_mvi_asm.o
CFLAGS += -fforce-addr
endif

ifeq ($(TARGET_ARCH_POWERPC),yes)
OBJS += ppc/dsputil_ppc.o ppc/mpegvideo_ppc.o
endif

ifeq ($(TARGET_MMI),yes)
OBJS += ps2/dsputil_mmi.o ps2/idct_mmi.o ps2/mpegvideo_mmi.o
endif

ifeq ($(TARGET_ALTIVEC),yes)
OBJS += ppc/dsputil_altivec.o ppc/mpegvideo_altivec.o ppc/idct_altivec.o \
        ppc/fft_altivec.o ppc/gmc_altivec.o ppc/fdct_altivec.o \
        ppc/dsputil_h264_altivec.o
endif

ifeq ($(TARGET_ARCH_SH4),yes)
OBJS+= sh4/idct_sh4.o sh4/dsputil_sh4.o sh4/dsputil_align.o
endif

ifeq ($(TARGET_ARCH_SPARC),yes)
OBJS+=sparc/dsputil_vis.o
sparc/%.o: sparc/%.c
	$(CC) -mcpu=ultrasparc -mtune=ultrasparc $(CFLAGS) -c -o $@ $< 
endif
ifeq ($(TARGET_ARCH_SPARC64),yes)
CFLAGS+= -mcpu=ultrasparc -mtune=ultrasparc
endif

SRCS := $(OBJS:.o=.c) $(ASM_OBJS:.o=.S)
OBJS := $(OBJS) $(ASM_OBJS)

LIB= $(LIBPREF)avcodec$(LIBSUF)
LIBAVUTIL= $(SRC_PATH)/libavutil/$(LIBPREF)avutil$(LIBSUF)
ifeq ($(BUILD_SHARED),yes)
SLIB= $(SLIBPREF)avcodec$(SLIBSUF)
endif
TESTS= imgresample-test dct-test motion-test fft-test

all: $(LIB) $(SLIB)

amrlibs:
	$(MAKE) -C amr spclib fipoplib

tests: apiexample cpuid_test $(TESTS)

$(LIB): $(OBJS) $(AMRLIBS)
	rm -f $@
	$(AR) rc $@ $(OBJS) $(AMREXTRALIBS)
	$(RANLIB) $@

$(SLIB): $(OBJS)
ifeq ($(CONFIG_WIN32),yes)
	$(CC) $(SHFLAGS) -Wl,--output-def,$(@:.dll=.def) -o $@ $(OBJS) $(EXTRALIBS) $(AMREXTRALIBS)
	-lib /machine:i386 /def:$(@:.dll=.def)
else
	$(CC) $(SHFLAGS) -o $@ $(OBJS) $(EXTRALIBS) $(AMREXTRALIBS) $(LDFLAGS)
endif

dsputil.o: dsputil.c dsputil.h

%.o: %.c
	$(CC) $(CFLAGS) $(LIBOBJFLAGS) -c -o $@ $< 

%.o: %.S
	$(CC) $(CFLAGS) $(LIBOBJFLAGS) -c -o $@ $<

depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

dep:	depend

clean: $(CLEANAMR)
	rm -f *.o *.d *~ .depend $(LIB) $(SLIB) *.so i386/*.o i386/*~ \
	   armv4l/*.o armv4l/*~ \
	   mlib/*.o mlib/*~ \
	   alpha/*.o alpha/*~ \
	   ppc/*.o ppc/*~ \
	   ps2/*.o ps2/*~ \
	   sh4/*.o sh4/*~ \
	   sparc/*.o sparc/*~ \
	   liba52/*.o liba52/*~ \
	   apiexample $(TESTS)

distclean: clean
	rm -f Makefile.bak .depend

cleanamr:
	$(MAKE) -C amr clean

cleanamrfloat:
	rm -f amr_float/*.o

cleanamrwbfloat:
	$(MAKE) -C amrwb_float -f makefile.gcc clean

# api example program
apiexample: apiexample.c $(LIB)
	$(CC) $(CFLAGS) -o $@ $< $(LIB) $(LIBAVUTIL) $(EXTRALIBS) -lm

# cpuid test
cpuid_test: i386/cputest.c
	$(CC) $(CFLAGS) -D__TEST__ -o $@ $<

# testing progs

imgresample-test: imgresample.c
	$(CC) $(CFLAGS) -DTEST -o $@ $^ -lm

dct-test: dct-test.o fdctref.o $(LIB)
	$(CC) -o $@ $^ -lm $(LIBAVUTIL)

motion-test: motion_test.o $(LIB)
	$(CC) -o $@ $^ -lm

fft-test: fft-test.o $(LIB)
	$(CC) -o $@ $^ $(LIBAVUTIL) -lm

ifeq ($(BUILD_SHARED),yes)
install: all install-headers
ifeq ($(CONFIG_WIN32),yes)
	install $(INSTALLSTRIP) -m 755 $(SLIB) "$(prefix)"
else
	install -d $(libdir)
	install $(INSTALLSTRIP) -m 755 $(SLIB) $(libdir)/libavcodec-$(VERSION).so
	ln -sf libavcodec-$(VERSION).so $(libdir)/libavcodec.so
	$(LDCONFIG) || true
endif
else
install:
endif

installlib: all install-headers
	install -m 644 $(LIB) "$(libdir)"

install-headers:
	mkdir -p "$(prefix)/include/ffmpeg"
	install -m 644 $(SRC_PATH)/libavcodec/avcodec.h \
                "$(prefix)/include/ffmpeg"
	install -d $(libdir)/pkgconfig
	install -m 644 ../libavcodec.pc $(libdir)/pkgconfig

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== ffmpeg.src/libavutil/Makefile ===
#
# libavutil Makefile
#
include ../config.mak

VPATH=$(SRC_PATH)/libavutil

# NOTE: -I.. is needed to include config.h
CFLAGS=$(OPTFLAGS) -DHAVE_AV_CONFIG_H -I.. -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE

OBJS= mathematics.o \
      integer.o \
      rational.o \
      intfloat_readwrite.o \


ifeq ($(TARGET_ARCH_SPARC64),yes)
CFLAGS+= -mcpu=ultrasparc -mtune=ultrasparc
endif

SRCS := $(OBJS:.o=.c)

LIB= $(LIBPREF)avutil$(LIBSUF)
ifeq ($(BUILD_SHARED),yes)
SLIB= $(SLIBPREF)avutil$(SLIBSUF)
endif

all: $(LIB) $(SLIB)

$(LIB): $(OBJS)
	rm -f $@
	$(AR) rc $@ $(OBJS)
	$(RANLIB) $@

$(SLIB): $(OBJS)
ifeq ($(CONFIG_WIN32),yes)
	$(CC) $(SHFLAGS) -Wl,--output-def,$(@:.dll=.def) -o $@ $(OBJS) $(EXTRALIBS) $(AMREXTRALIBS)
	-lib /machine:i386 /def:$(@:.dll=.def)
else
	$(CC) $(SHFLAGS) -o $@ $(OBJS) $(EXTRALIBS) $(AMREXTRALIBS) $(LDFLAGS)
endif

%.o: %.c
	$(CC) $(CFLAGS) $(LIBOBJFLAGS) -c -o $@ $< 

depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

dep:	depend

clean:
	rm -f *.o *.d *~ .depend $(LIB) $(SLIB) *.so

distclean: clean
	rm -f Makefile.bak .depend


ifeq ($(BUILD_SHARED),yes)
install: all install-headers
ifeq ($(CONFIG_WIN32),yes)
	install $(INSTALLSTRIP) -m 755 $(SLIB) "$(prefix)"
else
	install -d $(libdir)
	install $(INSTALLSTRIP) -m 755 $(SLIB) $(libdir)/libavutil-$(VERSION).so
	ln -sf libavutil-$(VERSION).so $(libdir)/libavutil.so
	$(LDCONFIG) || true
endif
else
install:
endif

installlib: all install-headers
	install -m 644 $(LIB) "$(libdir)"

install-headers:
	mkdir -p "$(prefix)/include/ffmpeg"
	install -m 644 $(SRC_PATH)/libavutil/avutil.h \
	               $(SRC_PATH)/libavutil/common.h \
	               $(SRC_PATH)/libavutil/mathematics.h \
	               $(SRC_PATH)/libavutil/integer.h \
	               $(SRC_PATH)/libavutil/rational.h \
	               $(SRC_PATH)/libavutil/intfloat_readwrite.h \
                "$(prefix)/include/ffmpeg"
	install -d $(libdir)/pkgconfig
	install -m 644 ../libavutil.pc $(libdir)/pkgconfig

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
dvbcut (0.5.4+svn178-12) unstable; urgency=medium

  * Replace deprecated ffmpeg APIs (Closes: #803809)
      (Thanks to Andreas Cadhalpun)
  * Due to lintian command-in-menu-file-and-desktop-file:
      - debian/dvbcut.menu removed.

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Wed, 18 Nov 2015 23:55:08 +0100

dvbcut (0.5.4+svn178-11) unstable; urgency=medium

  * Correct changelog date format of the last version (Closes: #795616)
      (Thanks to Chris Lamb)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Sun, 16 Aug 2015 17:34:48 +0200

dvbcut (0.5.4+svn178-10) unstable; urgency=medium

  * Make storing of settings work with Qt4 (Closes: #772413)
  * Make keyboard modifier for mousewheel work with Qt4 (Closes: #772346)
      (Both found and fixed by Tim Riemenschneider, thanks)
  * Add to help page the mousewheel keyboard modifiers
  * Fix headless index creation on ARM architecture.
  * Push stanards version to 3.9.6.
  * Transition from libav to ffmpeg (Closes: #793089)
      (Thanks to Sebastian Ramacher and Andreas Cadhalpun)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Tue, 21 Jul 2015 18:08:10 +0200

dvbcut (0.5.4+svn178-9) unstable; urgency=low

  * Include correct fix by Aurelien Jarno for
    lintian hardening-no-relro warning (Closes: #763812).
    - Bump debian/compat from 7 to 9
    - Build-Depends: debhelper >= 9, autotools-dev
    - Remove now unneeded debian/config.{guess,sub}
    - debian/rules
  * Enable parallel builds (debian/rules)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Fri, 03 Oct 2014 01:18:40 +0200

dvbcut (0.5.4+svn178-8) unstable; urgency=medium

  * Fix crash on export video (Closes: #753347)
  * Fix crash when calling with malformed parameters (Closes: #715843)
  * Fix playing audio with mplayer2 (Closes: #753369)
  * Try to fix Hurd build by avoiding PATH_MAX
  * Include dpkg-buildflags hinted by lintian
  * Set maintainer to Bernhard Übelacker (Closes: #741655)

 -- Bernhard Übelacker <bernhardu@vr-web.de>  Sun, 21 Sep 2014 12:16:23 +0200

dvbcut (0.5.4+svn178-7) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 May 2014 11:34:39 +0200

dvbcut (0.5.4+svn178-6) experimental; urgency=low

  * Orphan package, set maintainer to Debian QA Group.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 13 Mar 2014 21:05:39 -0400

dvbcut (0.5.4+svn178-5) experimental; urgency=low

  * Fix FTBFS against libav10 (Closes: #739220)
  * compile against libav10
  * Bump standards version (no changes needed)
  * update Recommends on mplayer

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 01 Mar 2014 14:56:05 +0000

=== debian/control ===
Source: dvbcut
Section: graphics
Priority: optional
Maintainer: Bernhard Übelacker <bernhardu@vr-web.de>
Build-Depends:
 debhelper (>= 9),
 autotools-dev,
 dh-autoreconf,
 liba52-0.7.4-dev,
 libao-dev,
 libavcodec-dev (>> 6:10~),
 libavformat-dev (>> 6:10~),
 libavutil-dev (>> 6:10~),
 libmad0-dev,
 libpostproc-dev,
 libqt4-dev,
 libswscale-dev (>> 6:10~),
 pkg-config,
 qt4-dev-tools
Homepage: http://dvbcut.sourceforge.net/
Standards-Version: 3.9.6

Package: dvbcut
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 mplayer2 | mpv | mplayer
Description: Qt application for cutting parts out of DVB streams
 DVBcut is a Qt application that allows you to select certain parts of an
 MPEG transport stream (as received via Digital Video Broadcasting, DVB) and
 save these parts into a single MPEG output file. It follows a `keyhole
 surgery'' approach where the input video and audio data is mostly kept
 unchanged, and only very few frames at the beginning and/or end of the
 selected range are re-encoded in order to obtain a valid MPEG file.

=== debian/rules ===
#!/usr/bin/make -f

DEB_SOURCE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
DEB_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -r ' s/\+[^+]+$$//')
SVN_VERSION := $(shell echo $(DEB_VERSION) | sed -r 's/^[0-9.:-]+\+r//; s/-[^-]+$$//' )
SVN_URL := http://dvbcut.svn.sourceforge.net/svnroot/dvbcut/trunk
ORIG_TAR_GZ := ../$(DEB_SOURCE)_$(UPSTREAM_VERSION)+svn$(SVN_VERSION).orig.tar.gz

%:
	dh $@ --buildsystem=autoconf --with=autoreconf,autotools-dev --parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-ffmpeg=/usr

override_dh_auto_clean:
	rm -rf ffmpeg.src
	rm -rf ffmpeg-patches
	[ ! -f makefile ] || make -f makefile distclean
	dh_clean bin/dvbcut dvbcut.desktop src/Makefile src/dvbcut src/qrc_icons.cpp
	dh_clean
	dh_auto_clean

override_dh_auto_install:

get-orig-source:
	TMPDIR=`mktemp -d` && \
	trap 'rm -rf $${TMPDIR}' EXIT && \
	svn export -r$(SVN_VERSION) $(SVN_URL) $${TMPDIR}/dvbcut && \
	rm -rf $${TMPDIR}/dvbcut/ffmpeg.src && \
	rm -rf $${TMPDIR}/dvbcut/ffmpeg-patches && \
	rm -rf $${TMPDIR}/dvbcut/debian && \
	tar czvf $(ORIG_TAR_GZ) -C $${TMPDIR} dvbcut

=== debian/watch ===
version=2
http://sf.net/dvbcut/dvbcut_(.+)\.tar\.bz2

## dvbcut 0.7.0

=== debian/changelog ===
dvbcut (0.7.0-1) unstable; urgency=low

  * New version 0.7.0
     * Add translations (from dvbcut-qt4)
     * Switched to Qt5.
     * Fix export with lavf muxer.
     * Prepare for new ffmpeg version.
  * Switch upstream repo from Sourceforge to Github.
  * Add fallback to Qt internal icons if themes
      are not available. (Closes: #822609)
  * Changed maintainer email.
  * Push standards version to 3.9.8.
  * Enable hardening flags (Lintian warning).

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Tue, 21 Jun 2016 16:51:07 +0200

## dvbcut 0.7.2

=== debian/changelog ===
dvbcut (0.7.2-1) unstable; urgency=low

  * New upstream release 0.7.2.
      Just minor changes for compatibility and to avoid compiler warnings.

  * Packaging changes suggested by Gianfranco Costamagna (in #844734):
    - Bump debian/compat from 9 to 10.
    - Remove Depends that get automatically added.
    - Remove Build-Depends autotools-dev and dh-autoreconf.
    - Remove unnecessary overrides in debian/rules.
  * Remove configure options for Qt and ffmpeg that led to wrong link flags.
      (Closes: #850073) Thanks to John David Anglin.
  * Avoid dpkg-parsechangelog to avoid Lintian message.
  * Contains upstream change to compile against FFMPeg 3.5.
      (Closes: #888351) Thanks to James Cowgill.

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Fri, 26 Jan 2018 23:49:20 +0100

dvbcut (0.7.1-1) unstable; urgency=low

  [ Bernhard Übelacker ]
  * Avoid redraw of intermediate steps while
    dragging sliders with the mouse.
  * Remove outdated Recommends mplayer2 and unused mpv.
    (Closes: #841183) Thanks to James Cowgill.
  * Add facility to search for duplicate frames (Thanks to Olaf Dietsche).
  * Remove some gcc 6 warnings.

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Fri, 18 Nov 2016 14:31:12 +0100

=== debian/control ===
Source: dvbcut
Section: graphics
Priority: optional
Maintainer: Bernhard Übelacker <bernhardu@mailbox.org>
Build-Depends:
 debhelper (>= 10),
 liba52-0.7.4-dev,
 libao-dev,
 libavcodec-dev (>> 6:11~),
 libavformat-dev (>> 6:11~),
 libavutil-dev (>> 6:11~),
 libmad0-dev,
 libswscale-dev (>> 6:11~),
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
 qtbase5-dev-tools,
 qttools5-dev-tools
Vcs-Git: https://github.com/bernhardu/dvbcut-deb.git
Vcs-Browser: https://github.com/bernhardu/dvbcut-deb
Homepage: https://github.com/bernhardu/dvbcut-deb
Standards-Version: 3.9.8

Package: dvbcut
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 mplayer
Description: Qt application for cutting parts out of DVB streams
 DVBcut is a Qt application that allows you to select certain parts of an
 MPEG transport stream (as received via Digital Video Broadcasting, DVB) and
 save these parts into a single MPEG output file. It follows a `keyhole
 surgery'' approach where the input video and audio data is mostly kept
 unchanged, and only very few frames at the beginning and/or end of the
 selected range are re-encoded in order to obtain a valid MPEG file.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/pkg-info.mk
DVBCUT_VERSION := $(DEB_VERSION)
export CPPFLAGS += -DDVBCUT_VERSION=\"$(DVBCUT_VERSION)\"

%:
	dh $@

override_dh_auto_install:

## dvbcut 0.7.3

=== debian/changelog ===
dvbcut (0.7.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:12 +0100

dvbcut (0.7.3-1) unstable; urgency=low

  * New upstream release 0.7.3.
    - Be able to build with Qt5 utils with -qt5 postfix. (Thanks to Luigi Baldoni)
    - Fix issue with reencoded frames appear with 50 FPS.

  * Switch copyright-format URL from http to https.
  * Bump standards version from 3.9.8 to 4.1.4.
  * Bump debhelper version from 10 to 11.
  * Remove trailing whitespace from debian files.

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Mon, 20 Aug 2018 01:17:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bernhard Übelacker <bernhardu@mailbox.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  liba52-0.7.4-dev,
  libao-dev,
  libavcodec-dev (>> 6:11~),
@@ -19,7 +19,7 @@
 Vcs-Git: https://github.com/bernhardu/dvbcut-deb.git
 Vcs-Browser: https://github.com/bernhardu/dvbcut-deb
 Homepage: https://github.com/bernhardu/dvbcut-deb
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 
 Package: dvbcut
 Architecture: any

## dvbcut 0.7.4

=== debian/changelog ===
dvbcut (0.7.4-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:02 +1100

dvbcut (0.7.4-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:17:20 +0000

dvbcut (0.7.4-1build2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:46:33 +0200

dvbcut (0.7.4-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:48:44 +0000

dvbcut (0.7.4-1) unstable; urgency=low

  * New upstream release 0.7.4.
    - Updated autotools files.
    - Build with ffmpeg 5. (Closes: #1004622)

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.7.3-1.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Bernhard Übelacker ]
  * Package new release 0.7.4.

 -- Bernhard Übelacker <bernhardu@mailbox.org>  Sun, 26 Jun 2022 19:01:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dvbcut
 Section: graphics
 Priority: optional
-Maintainer: Bernhard Übelacker <bernhardu@mailbox.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernhard Übelacker <bernhardu@mailbox.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  liba52-0.7.4-dev,
  libao-dev,
  libavcodec-dev (>> 6:11~),

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,3 @@
 	dh $@
 
 override_dh_auto_install:
-

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/dvbcut-$1\.tar\.gz/ \
  https://github.com/bernhardu/dvbcut-deb/tags .*/v(\d\S*)\.tar\.gz
